mxGdCodec (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io
Class mxGdCodec

    java.lang.Object
      com.mxgraph.io.mxGdCodec

    public class mxGdCodec

extends Object

Parses a GD .txt file and imports it in the given graph.
This class depends from the classes contained in com.mxgraph.io.gd.

Nested Class Summary
`static class` | `mxGdCodec.mxGDParseState` Represents the different states in the parse of a file.

Field Summary
`protected static HashMap<String,Object>` | `cellsMap` Map with the vertex cells added in the addNode method.

Constructor Summary
`mxGdCodec()`

Method Summary
`static void` | `decode(String input, mxGraph graph)` Parses simple GD format and populate the specified graph
`static String` | `encode(mxGraph graph)` Generates a GD text output with the cells in the graph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cellsMap

    protected static HashMap<String,Object> cellsMap

  Map with the vertex cells added in the addNode method.

Constructor Detail

### mxGdCodec

    public mxGdCodec()

Method Detail

### decode

    public static void decode(String input,
                              mxGraph graph)

  Parses simple GD format and populate the specified graph

  Parameters:
    `input` - GD file to be parsed
    `graph` - Graph where the parsed graph is included.

### encode

    public static String encode(mxGraph graph)

  Generates a GD text output with the cells in the graph. The implementation only uses the cells located in the default parent.

  Parameters:
    `graph` - Graph with the cells.
  Returns:
    The GD document generated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.